Subject: Re: bug#12598: 24.2; utf-8 codepoints in doc-strings and compression of .el and .elc files

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Feb 2013 12:43:46 -0500

> I've just removed some utf-8 codepoints from docstrings in org-mode
> because when I compress either the source (.el.gz) or the resulting
> byte-compiled file (.elc.gz), the loader fails after the first function
> definition that has such a docstring.  Messages suspiciously said
> something about "loading with code-conversion", so I assume that the the
> coding-system was not correctly recognized and the file mangled as a
> result before it reached the loader.

I've installed a workaround in the trunk, which should fix eval-buffer
such that the above now works.
I'm not sure if after loading the file, the docstrings will be correctly
found, but at least, loading the file should work.

        Stefan